ISCSI-LS(1)

NAME
iscsi-ls - Utility to list iSCSI targets and LUNs

SYNOPSIS

iscsi-ls [ OPTIONS ] <ISCSI-PORTAL>

iscsi-ls [-i --initiator-name=<IQN>] [-s --show-luns] [-d --debug] [-? --help] [--usage]

DESCRIPTION

iscsi-ls is a utility to list all targets and LUNs for an iSCSI portal.

ISCSI PORTAL URL FORMAT

iSCSI portal format is 'iscsi://[<username>[%<password>]@]<host>[:<port>]'

Username and password are only required if the target requires CHAP authentication. Optionally you can specify the username and password via the environment variables LIBISCSI_CHAP_USERNAME and LIBISCSI_CHAP_PASSWORD.

Host can be specified either as a hostname, an IPv4 address or an IPv6 address. Examples:

    	iscsi://192.0.2.1
    	iscsi://[2001:DB8::1]:3261
    	iscsi://ronnie%password@iscsi.example.com

Port is the TCP port on the target to connect to. Default is 3260.

OPTIONS

-i --initiator-name=<IQN>
    This specifies the initiator-name that iscsi-ls will use when logging in to the target.

    The default name is 'iqn.2007-10.com.github:sahlberg:libiscsi:iscsi-ls' but you can use this argument to override this. This is mainly needed for cases where the target is configured with access-control to only allow discovery logins from known initiator-names.

-s --show-luns
    In addition to listing all the targets at the specified portal also list all the LUNs and their types on each discovered target.

    In order to display the type of LUN iscsi-ls need to be able to perform a normal login on the targets. If the target is using access-control you will need to specify an initiator-name that allows normal logins to the target.

-d --debug
    Print debug information.

-? --help
    Display basic help text.

--usage
    Display basic usage text.

SEE ALSO

iscsi-inq(1) http://github.com/sahlberg/libiscsi